[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Types' (#rtl)

# IStream.Seek

Set the stream position

## Declaration

Source position: types.pp line 319

`function IStream.Seek(`
`dlibMove: Largeint;`
`dwOrigin: DWORD;`
`out libNewPosition: LargeUint`
`):HRESULT;`

## Description

Seek sets the stream position at dlibMove bytes from dwOrigin (one of the SEEK_* constants) and returns the new absolute position in libNewPosition. The function returns zero on success, or an error code.

## Errors

On error, a nonzero exit code is returned.